Album: FUNKSTUCK//24
Directory: funkstuck-24
Style: single
Artists:
- James Roach
Date: March 14, 2024
Date Added: April 13, 2024
URLs:
- https://www.youtube.com/watch?v=tbgqffL_nes
- https://open.spotify.com/album/7wfEgwiu8DC0E0Bxm4wgiI
- https://music.apple.com/album/funkstuck-24-single/1735981459
- https://music.wixstatic.com/preview/2c6886_b92d7c7245ed400791556cc808796e35-128.mp3
Cover Artists:
- James Roach
Cover Art File Extension: png
Wallpaper File Extension: png
Wallpaper Artists:
- Heather Hermann
Wallpaper Style: |-
    opacity: 0.3;
    background-repeat: repeat;
    background-size: auto;
Color: '#c96cda'
Groups:
- James Roach
- group:official
Art Tags:
- Battlefield
---
Track: FUNKSTUCK//24
Duration: 2:45
Contributors:
- Ash Taylor (guitar)
Commentary: |-
    <i>Requiem Cafe:</i> ([event website blurb](https://web.archive.org/web/20240316212939/https://www.requiemcafe.com/))

    <b>Join us for Homestuck’s Official 15th Anniversary Celebration at Requiem Cafe!</b>

    Over the past 15 years, Homestuck has been an internet and cultural phenomenon that's brought joy to hundreds of thousands of people.

    Come raise a themed drink to the trolls and kids who have taken us on wild journeys for 15 years.

    One of Homestuck’s beloved artists, [[artist:hone|HONE]], has joined with us to release never-before-seen Homestuck art, including gorgeous key art of Homestuck's cast!

    Grab a drink, dig into a snack, and break out the gray body paint!
Crediting Sources: |-
    <i>James Roach:</i> ([Twitter](https://twitter.com/hamesatron/status/1768682410219376941), 3/15/2024)

    guitar by [[artist:ash-taylor|@estroBiologist]]<br>
    also available for streaming on spotify

    <i>Ash Taylor:</i> ([Twitter](https://twitter.com/estroBiologist/status/1768685516763840611), excerpt, 3/15/2024)

    psst. hey. guess who did guitar on this :3
